Update allowed phases
POST
/loadpoints/{id}/phases/{phases}
const url = 'https://demo.evcc.io/api/loadpoints/1/phases/0';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/loadpoints/1/phases/0Updates the allowed phases of the loadpoint. Selects the desired phase mode for chargers with automatic phase switching. For manual phase switching chargers (via cable or Lasttrennschalter) this value tells evcc the actual phases.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Loadpoint index starting at 1.
integer
Example
1Loadpoint index starting at 1
phases
required
Number of phases. (0: auto, 1: 1-phase, 3: 3-phase)
string
Example
3Number of phases. (0: auto, 1: 1-phase, 3: 3-phase)
Responses
Section titled “Responses”Success - Number result
Media typeapplication/json
object
result
number
Examplegenerated
{ "result": 1}Invalid phases-value. You have most likely entered the value 0 for a wallbox that cannot switch phases automatically.